package com.xxl.job.executor.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.sql.Timestamp;
import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * @author Tang
 */
@Data
@TableName("rmw_leader_msg")

public class LeaderMsg {

    private static final long serialVersionUID = 1L;

    @TableId
    @TableField(value = "tid")
    private Long tid;

    @TableField(value = "fid")
    private Integer fid;

    @TableField(value = "forum_name")
    private String forumName;

    @TableField(value = "subject")
    private String subject;

    @TableField(value = "type_name")
    private String typeName;

    @TableField(value = "domain_name")
    private String domainName;


    @TableField(value = "state_info")
    private String stateInfo;

    @TableField(value = "crtime")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date crtime;

    @TableField(exist = false)
    private Long dateline;

    @TableField(value = "content")
    private String content;

    private int status;
}